import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { CommonService } from '../../services/common/common.service';

@Component({
  selector: 'app-generic-header',
  templateUrl: './generic-header.component.html',
  styleUrls: ['./generic-header.component.scss'],
})
export class GenericHeaderComponent implements OnInit {
  @Input() userImage = '';
  @Input() showImage = false;
  @Input() showMenu = false;
  @Input() showBack = false;
  @Input() navigate = true;
  @Input() showClose = false;
  @Input() updateDirection = false;
  @Input() headerText = '';
  @Input() backLink: string;
  @Output() trigger = new EventEmitter();

  public close = 'assets/imgs/cancel.png';
  constructor(public common: CommonService) { }

  ngOnInit() {
    if (this.updateDirection) {
        this.showBack = false;
      }
  }

  openProfilePage() {
    this.common.openEditProfile();
  }

  closeModal() {
    this.trigger.emit();
  }

}
